<template>
  <svn-pro-data-table
    v-model="selected"
    :headers="headers"
    :items="items"
    :density="density"
    :items-per-page="itemsPerPage"
    :item-value="itemValue"
    :show-select="showSelect"
    :pagination-total-pages="paginationTotalPages"
  >
    <template #item="{ item }">
      <tr class="hover:bg-[#46464F14]/[0.08] active:bg-[#46464F1F]/[0.12]">
        <td v-if="showSelect" class="px-2">
          <v-checkbox
            v-model="selected"
            hide-details
            :value="item.title"
          />
        </td>

        <td>
          <svn-pro-data-table-cell
            cell-type="avatar_text_supporting_text"
            :avatar="item?.avatar"
            :text="item?.firstname"
            :supporting-text="item?.lastname"
          />
        </td>

        <td>
          <svn-pro-data-table-cell
            cell-type="text"
            :text="item?.jobTitle"
          />
        </td>

        <td>
          <svn-pro-data-table-cell
            cell-type="text_supporting_text"
            :text="item?.firstname"
            :supporting-text="item?.email"
          />
        </td>

        <td>
          <svn-pro-data-table-cell
            cell-type="number"
            :text="item?.salary"
          />
        </td>

        <td>
          <svn-pro-data-table-cell
            cell-type="emoji_text"
            :emoji="item?.emoji"
            :text="item?.emoji"
          />
        </td>

        <td>
          <svn-pro-data-table-cell
            cell-type="info_tag"
            :tag-items="item?.skills"
          />
        </td>

        <td>
          <svn-pro-data-table-cell
            cell-type="icon_button"
            :icon="item?.icon"
            :cell-width="50"
          />
        </td>
      </tr>
    </template>
  </svn-pro-data-table>
</template>

<script setup>
import { ref } from 'vue';
import SvnProDataTable from '../../components/table/SvnProDataTable.vue';
import SvnProDataTableCell from '../../components/table_cell/SvnProDataTableCell.vue';

const props = defineProps({
  modelValue:{
    type: undefined,
    default: null,
  },
  items: {
    type: Array,
    default: () => [],
  },
  headers: {
    type: Array,
    default: () => [],
  },
  density: {
    type: String,
    default: "default",
  },
  itemValue: {
    type: String,
    default: "value",
  },
  showSelect: {
    type: Boolean,
    default: false,
  },
  page: {
    type: Number,
    default: 1,
  },
  itemsPerPage: {
    type: Number,
    default: -1,
  },
  paginationTotalPages: {
    type: Number,
    default: 1
  },
})

const selected = ref([])
</script>